Subject: Re: bug#42865: 28.0.50; Add new 'copy-region-quietly' defcustom

From: Juri Linkov <[email-masked]>
Date: Thu, 27 Aug 2020 22:08:23 +0300

>> The message text changes not often.  But the symbol approach is much worse
>> because it takes the freedom from users - in case of symbols the developers
>> decide whether to allow the users to inhibit messages or not.  When developers
>> allow to inhibit some messages by adding a new symbol to the message function,
>> then it takes many years until the users can start using new symbols to
>> inhibit messages after the next release.
>
> I think you convinced me, thanks.  I still think people will shoot
> themselves in the foot, but OTOH we are hardly strangers to that.
>
> Let's hear what others have to say.

I'm allowed to have more than one opinion?  Since most 'message' calls
use FORMAT-STRING with ARGS, then like gettext translates FORMAT-STRING,
inhibit-message could also check FORMAT-STRING, instead of matching a regexp
on the formatted string.  So for example just check if "Saved text until \"%s\"",
was added to a user-defined list, and inhibit the message.